<?php

# -- Configuration --

$webtopay_project_id 			= ''; # -- WebToPay project ID -- / Mokejimai.lt projekto numeris
$webtopay_project_password 		= ''; # -- Project's password in WebToPay.com system -- / Mokejimai.lt konkretaus projekto slaptazodis
$webtopay_project_test 			= 1;  # -- Test mode on or off ( 1 / 0 ) -- / Testinis rezimas ijungtas arba ne.

# -- Check is OK or not --

$request = getWepToPayRequest($_GET);

if (cSS1( $request['_ss1'], $webtopay_project_password, $request['orderid'], $webtopay_project_test ) && $request['projectid'] == $webtopay_project_id)	{
    echo "OK";	# Do not change the respond. If you will change OK to other string system will repeat data sending	
    if ($webtopay_project_test != $request['test']) exit;
    if ($request['status'] == '1') { # Accept only succesfull payments
        # This is the place where you can put your code for succesfull payments
    } else {
        # This is the pace where you can put your code for status 0 or 2. 
    }
    exit; 
} else exit('BAD');

# -- Function -- #
function cSS1( $wTransaction, $wPassword, $wOrderID, $wTest ) {
    $arrSS1 = array( $wOrderID, intval($wTest), 1 );
    if( 32 != strlen($wPassword) )
        $wPassword = md5($wPassword);
    if ($wTransaction == md5( $wPassword . '|' . implode( '|', $arrSS1 )) ) 
        return true; 
    else 
        return false; 
}

function getWepToPayRequest($data, $prefix='wp_') {
    if (empty($data[$prefix.'version']) || $data[$prefix.'version'] < '1.2') {
        return $data;
    }

    $ret = array();
    foreach ($data as $key => $val) {
        if (strpos($key, $prefix) === 0 && strlen($key) > 3) {
            $ret[substr($key, 3)] = $val;
        }
    }
    return $ret;
}

